Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezlink/admin/categoryedit.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZLinkMain", "Language" )
| $error = new eZINI( "kernel/ezuser/admin/intl/" . $Language . "/useredit.php.ini", false )
| $error_msg = false
if(isset( $DeleteCategories)) if((isset( $AddImages)) and(is_numeric( $LinkCategoryID)) and(is_numeric( $LinkCategoryID))) if(isset( $Action) && $Action=="insert") if(isset( $Action) && $Action=="delete") if(isset( $Action) && $Action=="DeleteCategories") if(isset( $Action) && $Action=="update") | $t
| $languageIni = new eZINI( "kernel/ezlink/admin/intl/" . $Language . "/categoryedit.php.ini", false )
| $headline = $languageIni->variable( "strings", "headline_insert" )
| $categoryselect = new eZLinkCategory()
| $categoryLinkList = $categoryselect->getTree( )
if( $Action=="new") if( $Action=="edit") | $category_select_dict = ""
foreach( $categoryLinkList as $i=> $categoryLinkItem) | $sectionList =& eZSection::getAll()

## Variable Documentation

## ◆ $category_select_dict

if ($Action=="new") if ($Action=="edit") $category_select_dict = ""

Definition at line 363 of file ezlink/admin/categoryedit.php.

## ◆ $categoryLinkList

$categoryLinkList = $categoryselect->getTree( )

Definition at line 286 of file ezlink/admin/categoryedit.php.

## ◆ $categoryselect

$categoryselect = new eZLinkCategory()

Definition at line 285 of file ezlink/admin/categoryedit.php.

## ◆ $error

$error = new eZINI( "kernel/ezuser/admin/intl/" . $Language . "/useredit.php.ini", false )

Definition at line 32 of file ezlink/admin/categoryedit.php.

## ◆ $error_msg

$error_msg = false

Definition at line 33 of file ezlink/admin/categoryedit.php.

## ◆ $headline

$headline = $languageIni->variable( "strings", "headline_insert" )

Definition at line 277 of file ezlink/admin/categoryedit.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 30 of file ezlink/admin/categoryedit.php.

## ◆ $Language

$Language = $ini->variable( "eZLinkMain", "Language" )

Definition at line 31 of file ezlink/admin/categoryedit.php.

## ◆ $languageIni

$languageIni = new eZINI( "kernel/ezlink/admin/intl/" . $Language . "/categoryedit.php.ini", false )

Definition at line 276 of file ezlink/admin/categoryedit.php.

## ◆ $sectionList

foreach ($categoryLinkList as $i=> $categoryLinkItem) $sectionList =& eZSection::getAll()

Definition at line 396 of file ezlink/admin/categoryedit.php.

## ◆ $t

if (isset($DeleteCategories)) if ((isset($AddImages)) and(is_numeric($LinkCategoryID)) and(is_numeric($LinkCategoryID))) if (isset($Action) &&$Action=="insert") if (isset($Action) &&$Action=="delete") if (isset($Action) &&$Action=="DeleteCategories") if (isset($Action) &&$Action=="update") $t

Initial value:
= new eZTemplate( "kernel/ezlink/admin/" . $ini->variable( "eZLinkMain", "AdminTemplateDir" ),
"kernel/ezlink/admin/" . "/intl/", $Language, "categoryedit.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezlink/admin/categoryedit.php:31
$ini
$ini
Definition: ezlink/admin/categoryedit.php:30

Definition at line 268 of file ezlink/admin/categoryedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.